Register a USD beneficiary
curl --request POST \
--url https://api.jenzy.com/v2/beneficiaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"holder": {
"type": "business",
"name": "Meridian Cargo Solutions LLC",
"email": "jsmith@example.com",
"phone": "+17189042371"
},
"holder_address": {
"street_line_1": "<string>",
"city": "<string>",
"state": "US-NY",
"postcode": "<string>",
"country": "US"
},
"bank": {
"name": "Column NA",
"account_number": "787212236285345",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"state": "US-NY",
"postcode": "<string>",
"country": "US"
}
},
"routing_number": "121145349",
"intermediary_routing_number": "<string>"
}
'import requests
url = "https://api.jenzy.com/v2/beneficiaries"
payload = {
"holder": {
"type": "business",
"name": "Meridian Cargo Solutions LLC",
"email": "jsmith@example.com",
"phone": "+17189042371"
},
"holder_address": {
"street_line_1": "<string>",
"city": "<string>",
"state": "US-NY",
"postcode": "<string>",
"country": "US"
},
"bank": {
"name": "Column NA",
"account_number": "787212236285345",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"state": "US-NY",
"postcode": "<string>",
"country": "US"
}
},
"routing_number": "121145349",
"intermediary_routing_number": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
holder: {
type: 'business',
name: 'Meridian Cargo Solutions LLC',
email: 'jsmith@example.com',
phone: '+17189042371'
},
holder_address: {
street_line_1: '<string>',
city: '<string>',
state: 'US-NY',
postcode: '<string>',
country: 'US'
},
bank: {
name: 'Column NA',
account_number: '787212236285345',
address: {
street_line_1: '<string>',
city: '<string>',
state: 'US-NY',
postcode: '<string>',
country: 'US'
}
},
routing_number: '121145349',
intermediary_routing_number: '<string>'
})
};
fetch('https://api.jenzy.com/v2/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jenzy.com/v2/beneficiaries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'holder' => [
'type' => 'business',
'name' => 'Meridian Cargo Solutions LLC',
'email' => 'jsmith@example.com',
'phone' => '+17189042371'
],
'holder_address' => [
'street_line_1' => '<string>',
'city' => '<string>',
'state' => 'US-NY',
'postcode' => '<string>',
'country' => 'US'
],
'bank' => [
'name' => 'Column NA',
'account_number' => '787212236285345',
'address' => [
'street_line_1' => '<string>',
'city' => '<string>',
'state' => 'US-NY',
'postcode' => '<string>',
'country' => 'US'
]
],
'routing_number' => '121145349',
'intermediary_routing_number' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jenzy.com/v2/beneficiaries"
payload := strings.NewReader("{\n \"holder\": {\n \"type\": \"business\",\n \"name\": \"Meridian Cargo Solutions LLC\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"+17189042371\"\n },\n \"holder_address\": {\n \"street_line_1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"US-NY\",\n \"postcode\": \"<string>\",\n \"country\": \"US\"\n },\n \"bank\": {\n \"name\": \"Column NA\",\n \"account_number\": \"787212236285345\",\n \"address\": {\n \"street_line_1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"US-NY\",\n \"postcode\": \"<string>\",\n \"country\": \"US\"\n }\n },\n \"routing_number\": \"121145349\",\n \"intermediary_routing_number\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jenzy.com/v2/beneficiaries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"holder\": {\n \"type\": \"business\",\n \"name\": \"Meridian Cargo Solutions LLC\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"+17189042371\"\n },\n \"holder_address\": {\n \"street_line_1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"US-NY\",\n \"postcode\": \"<string>\",\n \"country\": \"US\"\n },\n \"bank\": {\n \"name\": \"Column NA\",\n \"account_number\": \"787212236285345\",\n \"address\": {\n \"street_line_1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"US-NY\",\n \"postcode\": \"<string>\",\n \"country\": \"US\"\n }\n },\n \"routing_number\": \"121145349\",\n \"intermediary_routing_number\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jenzy.com/v2/beneficiaries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"holder\": {\n \"type\": \"business\",\n \"name\": \"Meridian Cargo Solutions LLC\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"+17189042371\"\n },\n \"holder_address\": {\n \"street_line_1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"US-NY\",\n \"postcode\": \"<string>\",\n \"country\": \"US\"\n },\n \"bank\": {\n \"name\": \"Column NA\",\n \"account_number\": \"787212236285345\",\n \"address\": {\n \"street_line_1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"US-NY\",\n \"postcode\": \"<string>\",\n \"country\": \"US\"\n }\n },\n \"routing_number\": \"121145349\",\n \"intermediary_routing_number\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset": "USD",
"status": "pending",
"holder": {
"type": "business",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"holder_address": {
"street_line_1": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"country": "<string>"
},
"bank": {
"name": "<string>",
"account_number": "<string>",
"account_type": "checking",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"country": "<string>"
}
},
"rail": "fedwire",
"routing_number": "<string>",
"intermediary_routing_number": "<string>",
"counter_party": "third_party",
"relationship": "supplier",
"purpose": "freight",
"failure": {
"code": "recipient_account_invalid",
"message": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset": "USD",
"status": "pending",
"holder": {
"type": "business",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"holder_address": {
"street_line_1": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"country": "<string>"
},
"bank": {
"name": "<string>",
"account_number": "<string>",
"account_type": "checking",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"country": "<string>"
}
},
"rail": "fedwire",
"routing_number": "<string>",
"intermediary_routing_number": "<string>",
"counter_party": "third_party",
"relationship": "supplier",
"purpose": "freight",
"failure": {
"code": "recipient_account_invalid",
"message": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}Payouts
Register a USD beneficiary
Register a business’s US or SWIFT bank account to pay with USD payouts. It is checked before it can be paid: it starts pending, and only an active one is payable. It cannot be changed: new bank details are a new beneficiary. Send the same bank details and body again and you get the existing beneficiary (200). No Idempotency-Key. USD beneficiaries are for USD payouts only. Every other asset pays an inline destination.
POST
/
beneficiaries
Register a USD beneficiary
curl --request POST \
--url https://api.jenzy.com/v2/beneficiaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"holder": {
"type": "business",
"name": "Meridian Cargo Solutions LLC",
"email": "jsmith@example.com",
"phone": "+17189042371"
},
"holder_address": {
"street_line_1": "<string>",
"city": "<string>",
"state": "US-NY",
"postcode": "<string>",
"country": "US"
},
"bank": {
"name": "Column NA",
"account_number": "787212236285345",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"state": "US-NY",
"postcode": "<string>",
"country": "US"
}
},
"routing_number": "121145349",
"intermediary_routing_number": "<string>"
}
'import requests
url = "https://api.jenzy.com/v2/beneficiaries"
payload = {
"holder": {
"type": "business",
"name": "Meridian Cargo Solutions LLC",
"email": "jsmith@example.com",
"phone": "+17189042371"
},
"holder_address": {
"street_line_1": "<string>",
"city": "<string>",
"state": "US-NY",
"postcode": "<string>",
"country": "US"
},
"bank": {
"name": "Column NA",
"account_number": "787212236285345",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"state": "US-NY",
"postcode": "<string>",
"country": "US"
}
},
"routing_number": "121145349",
"intermediary_routing_number": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
holder: {
type: 'business',
name: 'Meridian Cargo Solutions LLC',
email: 'jsmith@example.com',
phone: '+17189042371'
},
holder_address: {
street_line_1: '<string>',
city: '<string>',
state: 'US-NY',
postcode: '<string>',
country: 'US'
},
bank: {
name: 'Column NA',
account_number: '787212236285345',
address: {
street_line_1: '<string>',
city: '<string>',
state: 'US-NY',
postcode: '<string>',
country: 'US'
}
},
routing_number: '121145349',
intermediary_routing_number: '<string>'
})
};
fetch('https://api.jenzy.com/v2/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jenzy.com/v2/beneficiaries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'holder' => [
'type' => 'business',
'name' => 'Meridian Cargo Solutions LLC',
'email' => 'jsmith@example.com',
'phone' => '+17189042371'
],
'holder_address' => [
'street_line_1' => '<string>',
'city' => '<string>',
'state' => 'US-NY',
'postcode' => '<string>',
'country' => 'US'
],
'bank' => [
'name' => 'Column NA',
'account_number' => '787212236285345',
'address' => [
'street_line_1' => '<string>',
'city' => '<string>',
'state' => 'US-NY',
'postcode' => '<string>',
'country' => 'US'
]
],
'routing_number' => '121145349',
'intermediary_routing_number' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jenzy.com/v2/beneficiaries"
payload := strings.NewReader("{\n \"holder\": {\n \"type\": \"business\",\n \"name\": \"Meridian Cargo Solutions LLC\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"+17189042371\"\n },\n \"holder_address\": {\n \"street_line_1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"US-NY\",\n \"postcode\": \"<string>\",\n \"country\": \"US\"\n },\n \"bank\": {\n \"name\": \"Column NA\",\n \"account_number\": \"787212236285345\",\n \"address\": {\n \"street_line_1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"US-NY\",\n \"postcode\": \"<string>\",\n \"country\": \"US\"\n }\n },\n \"routing_number\": \"121145349\",\n \"intermediary_routing_number\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jenzy.com/v2/beneficiaries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"holder\": {\n \"type\": \"business\",\n \"name\": \"Meridian Cargo Solutions LLC\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"+17189042371\"\n },\n \"holder_address\": {\n \"street_line_1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"US-NY\",\n \"postcode\": \"<string>\",\n \"country\": \"US\"\n },\n \"bank\": {\n \"name\": \"Column NA\",\n \"account_number\": \"787212236285345\",\n \"address\": {\n \"street_line_1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"US-NY\",\n \"postcode\": \"<string>\",\n \"country\": \"US\"\n }\n },\n \"routing_number\": \"121145349\",\n \"intermediary_routing_number\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jenzy.com/v2/beneficiaries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"holder\": {\n \"type\": \"business\",\n \"name\": \"Meridian Cargo Solutions LLC\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"+17189042371\"\n },\n \"holder_address\": {\n \"street_line_1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"US-NY\",\n \"postcode\": \"<string>\",\n \"country\": \"US\"\n },\n \"bank\": {\n \"name\": \"Column NA\",\n \"account_number\": \"787212236285345\",\n \"address\": {\n \"street_line_1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"US-NY\",\n \"postcode\": \"<string>\",\n \"country\": \"US\"\n }\n },\n \"routing_number\": \"121145349\",\n \"intermediary_routing_number\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset": "USD",
"status": "pending",
"holder": {
"type": "business",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"holder_address": {
"street_line_1": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"country": "<string>"
},
"bank": {
"name": "<string>",
"account_number": "<string>",
"account_type": "checking",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"country": "<string>"
}
},
"rail": "fedwire",
"routing_number": "<string>",
"intermediary_routing_number": "<string>",
"counter_party": "third_party",
"relationship": "supplier",
"purpose": "freight",
"failure": {
"code": "recipient_account_invalid",
"message": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset": "USD",
"status": "pending",
"holder": {
"type": "business",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"holder_address": {
"street_line_1": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"country": "<string>"
},
"bank": {
"name": "<string>",
"account_number": "<string>",
"account_type": "checking",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"country": "<string>"
}
},
"rail": "fedwire",
"routing_number": "<string>",
"intermediary_routing_number": "<string>",
"counter_party": "third_party",
"relationship": "supplier",
"purpose": "freight",
"failure": {
"code": "recipient_account_invalid",
"message": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}Headers
Body
application/json
Why your organization pays this holder. A business holder takes goods, services, freight or intercompany. An individual holder takes family_support, goods, services, income, education, donation, investment or own_account.
Available options:
goods, services, freight, intercompany, family_support, income, education, donation, investment, own_account Response
These bank details are already registered with this body: the existing one.